Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.eventadapter
Class DataSetEventAdapter

    java.lang.Object
      org.eclipse.birt.report.engine.api.script.eventadapter.DataSetEventAdapter

All Implemented Interfaces:
  IDataSetEventHandler

Direct Known Subclasses:
  ScriptedDataSetEventAdapter

    public class DataSetEventAdapter

extends java.lang.Object
implements IDataSetEventHandler

Default (empty) implementation of the IDataSetEventHandler interface

Constructor Summary
`DataSetEventAdapter()`

Method Summary
`void` | `afterClose(IReportContext reportContext)` Handle the afterClose event
`void` | `afterOpen(IDataSetInstance dataSet, IReportContext reportContext)` Handle the afterOpen event
`void` | `beforeClose(IDataSetInstance dataSet, IReportContext reportContext)` Handle the beforeClose event
`void` | `beforeOpen(IDataSetInstance dataSet, IReportContext reportContext)` Handle the beforeOpen event
`void` | `onFetch(IDataSetInstance dataSet, IDataSetRow row, IReportContext reportContext)` Handle the onFetch event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSetEventAdapter

    public DataSetEventAdapter()

Method Detail

### beforeOpen

    public void beforeOpen(IDataSetInstance dataSet,
                           IReportContext reportContext)
                    throws ScriptException

  Description copied from interface: `IDataSetEventHandler`
  Handle the beforeOpen event

  Specified by:
    `beforeOpen` in interface `IDataSetEventHandler`
  Throws:
    `ScriptException`

### afterOpen

    public void afterOpen(IDataSetInstance dataSet,
                          IReportContext reportContext)
                   throws ScriptException

  Description copied from interface: `IDataSetEventHandler`
  Handle the afterOpen event

  Specified by:
    `afterOpen` in interface `IDataSetEventHandler`
  Throws:
    `ScriptException`

### onFetch

    public void onFetch(IDataSetInstance dataSet,
                        IDataSetRow row,
                        IReportContext reportContext)
                 throws ScriptException

  Description copied from interface: `IDataSetEventHandler`
  Handle the onFetch event

  Specified by:
    `onFetch` in interface `IDataSetEventHandler`
  Throws:
    `ScriptException`

### beforeClose

    public void beforeClose(IDataSetInstance dataSet,
                            IReportContext reportContext)
                     throws ScriptException

  Description copied from interface: `IDataSetEventHandler`
  Handle the beforeClose event

  Specified by:
    `beforeClose` in interface `IDataSetEventHandler`
  Throws:
    `ScriptException`

### afterClose

    public void afterClose(IReportContext reportContext)
                    throws ScriptException

  Description copied from interface: `IDataSetEventHandler`
  Handle the afterClose event

  Specified by:
    `afterClose` in interface `IDataSetEventHandler`
  Throws:
    `ScriptException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.